---
updatedAt: 2026-05-06T04:11:01.000Z
agentTools:
  projectIndex: https://open-api-paper-id.readme.io/llms.txt
---

# List of All Purchase Invoice

You can get list of purchase invoice documents. Optional data filter may be applied

<br />

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "version-2",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://open-api.stag-v2.paper.id/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "client_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "client_secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/purchase-invoice": {
      "get": {
        "summary": "List of All Purchase Invoice",
        "description": "You can get list of purchase invoice documents. Optional data filter may be applied",
        "operationId": "list-of-all-purchase-invoice",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "To configure the number of items per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "To specify which page to access.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "order",
            "in": "query",
            "description": "Value: desc, asc. To set the order in which data is displayed, either ascending or descending.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "To specify the column used for sorting the data.",
            "schema": {
              "type": "string",
              "default": "created_at"
            }
          },
          {
            "name": "start_invoice_date",
            "in": "query",
            "description": "To filter by invoice_date (the end_invoice_date field must be provided). Format YYYY-MM-DD.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "end_invoice_date",
            "in": "query",
            "description": "To filter by invoice_date. Format YYYY-MM-DD.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "start_due_date",
            "in": "query",
            "description": "To filter by due_date (the end_due_date field must be provided). Format YYYY-MM-DD.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "end_due_date",
            "in": "query",
            "description": "To filter by due_date. Format YYYY-MM-DD.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "client_id",
            "in": "header",
            "description": "A unique identifier assigned to a client application.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "client_secret",
            "in": "header",
            "description": "A confidential key associated with the client application.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"code\":\"PI-GLT-200\",\n   \"message\":\"OK\",\n   \"data\":[\n      {\n         \"uuid\":\"1d70876a-01c3-46fb-a7ae-4345943f2ad4\",\n         \"invoice_number\":\"EXP/2019/0001\",\n         \"company_id\":\"2cbbd916-14d3-4fc3-9cbe-0c1d759b53e3\",\n         \"partner_id\":\"4bc79ce7-d64f-4c45-8c90-6622ec22f2cf\",\n         \"document_type_id\":\"inv-02\",\n         \"invoice_date\":\"2021-12-05\",\n         \"due_date\":\"2019-12-05\",\n         \"status\":\"PAID\",\n         \"version\":0,\n         \"signature_text_header\":\"5 Dec, 2019\",\n         \"signature_text_footer\":\"Finance\",\n         \"created_at\":\"2019-12-05 23:52:38\",\n         \"updated_at\":\"2020-06-20 02:16:53\",\n         \"terms_and_conditions\":\"\",\n         \"notes\":\"\",\n         \"grand_total\":0,\n         \"subtotal\":0,\n         \"total_discount\":0,\n         \"tax_inclusive\":0,\n         \"tax_exclusive\":0,\n         \"custom_total_per_item\":0,\n         \"items\":[\n            {\n               \"product_name\":\"tes\",\n               \"description\":\"tes\",\n               \"sku\":\"\",\n               \"uom\":null,\n               \"quantity\":10,\n               \"price\":100000,\n               \"discount\":0,\n               \"index\":0,\n               \"tax_type\":\"\",\n               \"discount_amount\":0,\n               \"discount_percentage\":0,\n               \"discount_string\":\"\",\n               \"total\":0\n            }\n         ],\n         \"partner\":{\n            \"uuid\":\"4bc79ce7-d64f-4c45-8c90-6622ec22f2cf\",\n            \"name\":\"Karin 610\",\n            \"email\":\"karin.putri610@gmail.com\",\n            \"phone\":\"123456\"\n         }\n      }\n   ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "example": "PI-GLT-200"
                    },
                    "message": {
                      "type": "string",
                      "example": "OK"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "uuid": {
                            "type": "string",
                            "example": "1d70876a-01c3-46fb-a7ae-4345943f2ad4"
                          },
                          "invoice_number": {
                            "type": "string",
                            "example": "EXP/2019/0001"
                          },
                          "company_id": {
                            "type": "string",
                            "example": "2cbbd916-14d3-4fc3-9cbe-0c1d759b53e3"
                          },
                          "partner_id": {
                            "type": "string",
                            "example": "4bc79ce7-d64f-4c45-8c90-6622ec22f2cf"
                          },
                          "document_type_id": {
                            "type": "string",
                            "example": "inv-02"
                          },
                          "invoice_date": {
                            "type": "string",
                            "example": "2021-12-05"
                          },
                          "due_date": {
                            "type": "string",
                            "example": "2019-12-05"
                          },
                          "status": {
                            "type": "string",
                            "example": "PAID"
                          },
                          "version": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "signature_text_header": {
                            "type": "string",
                            "example": "5 Dec, 2019"
                          },
                          "signature_text_footer": {
                            "type": "string",
                            "example": "Finance"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2019-12-05 23:52:38"
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2020-06-20 02:16:53"
                          },
                          "terms_and_conditions": {
                            "type": "string",
                            "example": ""
                          },
                          "notes": {
                            "type": "string",
                            "example": ""
                          },
                          "grand_total": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "subtotal": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "total_discount": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "tax_inclusive": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "tax_exclusive": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "custom_total_per_item": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "items": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "product_name": {
                                  "type": "string",
                                  "example": "tes"
                                },
                                "description": {
                                  "type": "string",
                                  "example": "tes"
                                },
                                "sku": {
                                  "type": "string",
                                  "example": ""
                                },
                                "uom": {},
                                "quantity": {
                                  "type": "integer",
                                  "example": 10,
                                  "default": 0
                                },
                                "price": {
                                  "type": "integer",
                                  "example": 100000,
                                  "default": 0
                                },
                                "discount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "index": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "tax_type": {
                                  "type": "string",
                                  "example": ""
                                },
                                "discount_amount": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "discount_percentage": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "discount_string": {
                                  "type": "string",
                                  "example": ""
                                },
                                "total": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            }
                          },
                          "partner": {
                            "type": "object",
                            "properties": {
                              "uuid": {
                                "type": "string",
                                "example": "4bc79ce7-d64f-4c45-8c90-6622ec22f2cf"
                              },
                              "name": {
                                "type": "string",
                                "example": "Karin 610"
                              },
                              "email": {
                                "type": "string",
                                "example": "karin.putri610@gmail.com"
                              },
                              "phone": {
                                "type": "string",
                                "example": "123456"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{  \n   \"message\": \"Failed to retrieve purchase invoices.\",  \n   \"type\": \"invalid_request_error\",  \n   \"errors\": {  \n      \"purchase_invoice\": \"Failed to retrieve purchase invoices.\"  \n   }  \n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Failed to retrieve purchase invoices."
                    },
                    "type": {
                      "type": "string",
                      "example": "invalid_request_error"
                    },
                    "errors": {
                      "type": "object",
                      "properties": {
                        "purchase_invoice": {
                          "type": "string",
                          "example": "Failed to retrieve purchase invoices."
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X GET \"https://open-api.stag-v2.paper.id/api/v2/purchase-invoice\" \\\n     -H \"client_id: YOUR_CLIENT_ID\" \\\n     -H \"client_secret: YOUR_CLIENT_SECRET\"\n"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```